Gecode::Int::Element::Int< V0, V1, Idx, Val >::ByVal Class Reference

Sorting pointers to (index,value) pairs in value order. More...

`#include <element.hh>`

## Public Member Functions

| ByVal (const IdxVal *iv)
| Initialize with index value pairs.
bool | operator() (Idx &i, Idx &j)
| Compare pairs at positions i and j.

## Protected Attributes

const IdxVal * | iv
| Index-value pairs.

## Detailed Description

template<class V0, class V1, class Idx, class Val>
class Gecode::Int::Element::Int< V0, V1, Idx, Val >::ByVal

Sorting pointers to (index,value) pairs in value order.

Definition at line 141 of file element.hh.

## Constructor & Destructor Documentation

## ByVal()

template<class V0, class V1, class Idx, class Val>

Gecode::Int::Element::Int< V0, V1, Idx, Val >::ByVal::ByVal | ( | const IdxVal * | iv | ) |

inline

Initialize with index value pairs.

Definition at line 143 of file int.hpp.

## Member Function Documentation

## operator()()

template<class V0, class V1, class Idx, class Val>

bool Gecode::Int::Element::Int< V0, V1, Idx, Val >::ByVal::operator() | ( | Idx & | i,
|  | Idx & | j )

inline

Compare pairs at positions i and j.

Definition at line 147 of file int.hpp.

## Member Data Documentation

## iv

template<class V0, class V1, class Idx, class Val>

const IdxVal* Gecode::Int::Element::Int< V0, V1, Idx, Val >::ByVal::iv

protected

Index-value pairs.

Definition at line 143 of file element.hh.

The documentation for this class was generated from the following files:

- gecode/int/element.hh
- gecode/int/element/int.hpp